> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stackone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Users



## OpenAPI

````yaml get /unified/lms/users
openapi: 3.1.0
info:
  title: LMS
  description: The documentation for the StackOne Unified API - LMS
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.stackone.com
security: []
tags:
  - name: Courses
    description: Collections of learning content.
  - name: Content
    description: Granular learning content items.
  - name: External Linking Learning Objects
    description: External linking learning objects.
  - name: Categories
    description: Categories for organizing learning content.
  - name: Users
    description: People enrolled in or using the LMS.
  - name: Skills
    description: Skills or competencies taught or tracked.
  - name: Assignments
    description: Tasks or assignments for learners.
  - name: Completions
    description: Records of completed assignments or courses.
  - name: Collections
    description: Groups of courses or learning resources.
paths:
  /unified/lms/users:
    get:
      tags:
        - Users
      summary: List Users
      operationId: lms_list_users
      parameters:
        - name: x-account-id
          in: header
          description: The account identifier
          required: true
          schema:
            type: string
        - name: raw
          required: false
          in: query
          description: >-
            Indicates that the raw request result should be returned in addition
            to the mapped result (default value is false)
          schema:
            nullable: true
            type: boolean
        - name: proxy
          required: false
          in: query
          description: >-
            Query parameters that can be used to pass through parameters to the
            underlying provider request by surrounding them with 'proxy' key
          style: deepObject
          explode: true
          schema:
            additionalProperties: true
            nullable: true
            type: object
        - name: fields
          required: false
          in: query
          description: >-
            The comma separated list of fields that will be returned in the
            response (if empty, all fields are returned)
          schema:
            nullable: true
            example: >-
              id,remote_id,external_reference,active,email,phone_number,created_at,updated_at,name,unified_custom_fields
            type: string
        - name: filter
          required: false
          in: query
          description: LMS Users Filter
          explode: true
          style: deepObject
          schema:
            properties:
              updated_after:
                description: >-
                  Use a string with a date to only select results updated after
                  that given date
                example: '2020-01-01T00:00:00.000Z'
                type: string
                format: date-time
                nullable: true
                additionalProperties: false
              email:
                description: Filter to select users by email
                type: string
                nullable: true
              external_reference:
                description: Filter to select users by external_reference
                type: string
                nullable: true
            nullable: true
            type: object
        - name: page
          required: false
          in: query
          description: The page number of the results to fetch
          deprecated: true
          schema:
            type: string
            nullable: true
        - name: page_size
          required: false
          in: query
          description: The number of results per page (default value is 25)
          schema:
            type: string
            nullable: true
        - name: next
          required: false
          in: query
          description: The unified cursor
          schema:
            type: string
            nullable: true
        - name: updated_after
          required: false
          in: query
          description: >-
            Use a string with a date to only select results updated after that
            given date
          deprecated: true
          schema:
            format: date-time
            nullable: true
            example: '2020-01-01T00:00:00.000Z'
            type: string
        - name: Prefer
          in: header
          required: false
          description: >-
            Set to "heartbeat" to enable keep-alive newline heartbeats during
            long-running requests. Response includes Preference-Applied:
            heartbeat header when honored. (RFC 7240)
          schema:
            type: string
            example: heartbeat
      responses:
        '200':
          description: The list of users was retrieved.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsersPaginated'
        '400':
          description: Invalid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestResponse'
        '401':
          description: Unauthorized access.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponse'
        '403':
          description: Forbidden.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenResponse'
        '404':
          description: Resource not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundResponse'
        '408':
          description: The request has timed out.
          headers:
            Retry-After:
              description: A time in seconds after which the request can be retried.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestTimedOutResponse'
        '409':
          description: Conflict with current state.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConflictResponse'
        '412':
          description: >-
            Precondition failed: linked account belongs to a disabled
            integration.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PreconditionFailedResponse'
        '422':
          description: Validation error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableEntityResponse'
        '429':
          description: Too many requests.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsResponse'
        '500':
          description: Server error while executing the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
        '501':
          description: This functionality is not implemented.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotImplementedResponse'
        '502':
          description: Bad gateway error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadGatewayResponse'
      security:
        - basic: []
components:
  schemas:
    UsersPaginated:
      type: object
      properties:
        next:
          type: string
          nullable: true
        data:
          type: array
          items:
            $ref: '#/components/schemas/LmsUser'
        raw:
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/RawResponse'
      required:
        - data
    BadRequestResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 400
        message:
          type: string
          description: Error message
          example: Bad Request
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
        data:
          description: Error details
          nullable: true
          allOf:
            - $ref: '#/components/schemas/UnifiedError'
        provider_errors:
          description: List of provider-specific errors
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/ProviderError'
      required:
        - statusCode
        - message
        - timestamp
    UnauthorizedResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 401
        message:
          type: string
          description: Error message
          example: Unauthorized
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    ForbiddenResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 403
        message:
          type: string
          description: Error message
          example: Forbidden resource
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    NotFoundResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 404
        message:
          type: string
          description: Error message
          example: Not Found
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    RequestTimedOutResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 408
        message:
          type: string
          description: Error message
          example: Request timed out
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    ConflictResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 409
        message:
          type: string
          description: Error message
          example: Conflict
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    PreconditionFailedResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 412
        message:
          type: string
          description: Error message
          example: Precondition failed
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    UnprocessableEntityResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 422
        message:
          type: string
          description: Error message
          example: Unprocessable Entity
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    TooManyRequestsResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 429
        message:
          type: string
          description: Error message
          example: Too many requests
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    InternalServerErrorResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 500
        message:
          type: string
          description: Error message
          example: Internal server error
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    NotImplementedResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 501
        message:
          type: string
          description: Error message
          example: Not Implemented
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    BadGatewayResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 502
        message:
          type: string
          description: Error message
          example: Bad Gateway
        timestamp:
          type: string
          description: Timestamp when the error occurred
          example: '2023-05-30T00:00:00.000Z'
          format: date-time
      required:
        - statusCode
        - message
        - timestamp
    LmsUser:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        remote_id:
          type: string
          description: Provider's unique identifier
          example: 8187e5da-dc77-475e-9949-af0f1fa4e4e3
          nullable: true
        unified_custom_fields:
          type: object
          description: Custom Unified Fields configured in your StackOne project
          additionalProperties: true
          example:
            my_project_custom_field_1: REF-1236
            my_project_custom_field_2: some other value
          nullable: true
        external_reference:
          type: string
          description: The external ID associated with this user
          example: al60043
          nullable: true
        name:
          type: string
          description: The user name
          example: John Dew
          nullable: true
        email:
          type: string
          description: The user email
          example: john@dew.com
          nullable: true
        phone_number:
          type: string
          description: The user phone number
          example: '+1234567890'
          nullable: true
        active:
          description: The user active status
          example: true
          oneOf:
            - type: boolean
            - type: string
              enum:
                - 'true'
                - 'false'
          nullable: true
        created_at:
          type: string
          description: The created_at date
          example: '2021-01-01T01:01:01.000Z'
          format: date-time
          nullable: true
        updated_at:
          type: string
          description: The updated_at date
          example: '2021-01-01T01:01:01.000Z'
          format: date-time
          nullable: true
    RawResponse:
      type: object
      properties:
        method:
          type: string
        url:
          type: string
        body:
          oneOf:
            - type: string
            - type: object
            - type: array
              items:
                type: integer
                format: int32
                minimum: 0
                maximum: 255
          additionalProperties: true
          nullable: true
        response:
          oneOf:
            - type: object
              additionalProperties: true
            - type: array
              items: {}
            - type: string
          nullable: true
      required:
        - method
        - url
    UnifiedError:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 400
          nullable: true
        message:
          type: string
          description: Error message
          example: Bad Request
          nullable: true
        headers:
          type: object
          description: Response headers
          example:
            content-type: application/json
            x-request-id: 5678c28b211dace4e0a0f9171e6b88c5
          nullable: true
    ProviderError:
      type: object
      properties:
        status:
          type: number
          description: HTTP status code of the provider error
          example: 400
          nullable: true
        url:
          type: string
          description: URL that caused the error
          example: https://api.provider.com/v1/resource
          nullable: true
        raw:
          type: object
          description: Raw error response from the provider
          example:
            message: Invalid input parameters
          nullable: true
        headers:
          type: object
          description: Response headers
          example:
            content-type: application/json
            x-request-id: 5678c28b211dace4e0a0f9171e6b88c5
          nullable: true
  securitySchemes:
    basic:
      type: http
      scheme: basic

````